/******************************************************************************

Copyright (c) 2007   Tsunehiko Kato

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

ȉɒ߂ɏ]A{\tgEFAъ֘Ãt@Ciȉu\tgEF
Avj̕擾邷ׂĂ̐lɑ΂A\tgEFA𖳐ɈƂ𖳏ŋ
܂Bɂ́A\tgEFA̕gpAʁAύXAAfځAЕzATu
CZXA/܂͔̔錠Aу\tgEFA񋟂鑊ɓ
Ƃ錠Ɋ܂܂܂B

L̒쌠\і{\A\tgEFÂׂĂ̕܂͏dvȕ
Lڂ̂Ƃ܂B

\tgEFÁû܂܁vŁAł邩Öقł邩킸A̕ۏ؂
񋟂܂Błۏ؂Ƃ́AiA̖ړIւ̓KAьN
QɂĂ̕ۏ؂܂݂܂AɌ肳̂ł͂܂B ҂܂͒
쌠҂́A_sׁAs@sׁA܂͂ȊOł낤ƁA\tgEFAɋN܂
֘AA邢̓\tgEFA̎gp܂͂̑̈ɂĐ؂̐A
QȂ̋`ɂĉ̐ӔCȂ̂Ƃ܂B
*******************************************************************************/
#ifndef  __CONSTELLATION_H__
#define  __CONSTELLATION_H__
#include  "astrometry.h"


//----------------------
//  Constellation Name
//----------------------
enum CNST_ID {
	CNST_AND,
	CNST_MON,
	CNST_SGR,
	CNST_DEL,
	CNST_IND,
	CNST_PSC,
	CNST_LEP,
	CNST_BOO,
	CNST_HYA,
	CNST_ERI,
	CNST_TAU,
	CNST_CMA,
	CNST_LUP,
	CNST_UMA,
	CNST_VIR,
	CNST_ARI,
	CNST_ORI,
	CNST_PIC,
	CNST_CAS,
	CNST_DOR,
	CNST_CNC,
	CNST_COM,
	CNST_CHA,
	CNST_CRV,
	CNST_CRB,
	CNST_TUC,
	CNST_AUR,
	CNST_CAM,
	CNST_PAV,
	CNST_CET,
	CNST_CEP,
	CNST_CEN,
	CNST_MIC,
	CNST_CMI,
	CNST_EQU,
	CNST_VUL,
	CNST_UMI,
	CNST_LMI,
	CNST_CRT,
	CNST_LYR,
	CNST_CIR,
	CNST_ARA,
	CNST_SCO,
	CNST_TRI,
	CNST_LEO,
	CNST_NOR,
	CNST_SCT,
	CNST_CAE,
	CNST_SCL,
	CNST_GRU,
	CNST_MEN,
	CNST_LIB,
	CNST_LAC,
	CNST_HOR,
	CNST_VOL,
	CNST_PUP,
	CNST_MUS,
	CNST_CYG,
	CNST_OCT,
	CNST_COL,
	CNST_APS,
	CNST_GEM,
	CNST_PEG,
	CNST_SER,
	CNST_OPH,
	CNST_HER,
	CNST_PER,
	CNST_VEL,
	CNST_TEL,
	CNST_PHE,
	CNST_ANT,
	CNST_AQR,
	CNST_HYI,
	CNST_CRU,
	CNST_PSA,
	CNST_CRA,
	CNST_TRA,
	CNST_SGE,
	CNST_CAP,
	CNST_LYN,
	CNST_PYX,
	CNST_DRA,
	CNST_CAR,
	CNST_CVN,
	CNST_RET,
	CNST_FOR,
	CNST_SEX,
	CNST_AQL,
	CNST_NONE
};

int	get_constellation_ID(const char* str);
const char*	get_constellation_abbr(const int CnstID);


//-----------------
//  Constellation
//-----------------
struct constellation
{
	char abbr_name[5];		// 
	char abbr_name2[5];		// iEpj
	char name_E[30];		// p
	char posses[30];		// pLi
	char name_J[50];		// {iЂ炪ȁj
	char name_KNJ[50];		// {ij
	float RAdeg, DEdeg;		// TʒuiԌoAԈ܁FxPʁj
	vector3f	pos0;		// Tʒu̓Vʏ̈ʒu
	vector<vector<long> >	lines_HIP;	// 
	vector<RA_DEC>			boundary;
};


#endif
